# Get-RASAVDHostStatus

### NAME

Get-RASAVDHostStatus\ <br>

### SYNOPSIS

Retrieves the list of, or a specific, AVD Host status.\ <br>

### SYNTAX

Get-RASAVDHostStatus \[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#ProviderId)] *\<uint>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#SiteId)] *\<uint>*] -[HostId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#HostId) *\<string>* \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#User) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#CommonParameters)*>*]\
\
Get-RASAVDHostStatus \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#InputObject)] *<*[*AVDHost*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHost.html)*>* \[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#ProviderId)] *\<uint>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#SiteId)] *\<uint>*] \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#User) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#CommonParameters)*>*]\
\
Get-RASAVDHostStatus \[\[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#ProviderId)] *\<uint>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#SiteId)] *\<uint>*] \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#User) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostStatus.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the list of, or a specific, AVD Host status.\ <br>

### PARAMETERS

\
-**ProviderId \<uint>**\
The ID of a Provider server from which to obtain the AVD Host list.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the AVD Host list.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**HostId \<string>**\
The ID of the AVD Host. To obtain the ID, use the Get-RASAVDHost cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**AVDHost**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHost.html)**>**\
An object of type AVDHost representing a AVD Host for which to retrieve the information.\
\
To obtain the object, use the Get-RASAVDHost cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**User \<string>**\
The username assigned to AVD Host.\
\
If empty square brackets (\[]) are passed, the AVD Host list will be filtered with those with an assigned user.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**StatusLevel <**[**StatusLevel**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/StatusLevel.html)**>**\
Specifies the level of detail that should be returned.\
\
Acceptable values: Level1 (AVD Host status information only), Level2 (AVD Host status and Host VM info), Level3 (AVD Host status, Host VMs, Applications).\
\
Possible values: Level1, Level2, Level3\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                Level1
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[AVDHost](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHost.html)

### OUTPUTS

[AVDHostSysInfo\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHostSysInfo\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDHostStatus | Format-List\
\
Retrieves the list of AVD Host statuses\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAVDHostStatus -ProviderId 1\
\
Retrieves the list of AVD Host statuses from the specified Provider server\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASAVDHostStatus -ProviderId 1 -SiteId 1\
\
Retrieves the list of AVD Host statuses from the specified Provider server from the specified site.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Get-RASAVDHostStatus -ProviderId 1 -SiteId 1 -HostId "1" | Format-List\
\
Retrieves the specified AVD Host from the specified Provider server from the specified site.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdhoststatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
